import Session from '../Services/Identity/Session';
import { AutoDispatchTeamState } from './AutoDispatchTeamState.consts';
export default class VrpAutoDispatchAnalyticApi {
    private vrpAutoDispatchAnalyticEntity;
    constructor(session: Session);
    getAll(queryString?: any): Promise<any>;
    onDoneEvent(eventHandler: (teamState: AutoDispatchTeamState) => void): void;
    getTeamsStates(): Promise<AutoDispatchTeamState[]>;
}
